Session 3 endpoints

GET /sessions/socket

This is the route for WebSocket requests. See the socket API reference for a description of WebSocket usage.

operationId: Session_getSocketSessions

Responses

200

Success

400

Server rejection

GET /sessions/socket
PUT /sessions/{idSession}
operationId: Session_updateStatusByIdSession

Parameters

Name In Required Type Description
idSession path required string

idSession

Request Body

required

Attributes of “Sessions” to be updated.

application/json
schema sessions
Property Type Required
status string optional
idBoard string optional

Responses

200

Success

400

Server rejection

PUT /sessions/{idSession}
PUT /sessions/{idSession}/status
operationId: Session_updateStatusByIdSession

Parameters

Name In Required Type Description
idSession path required string

idSession

Request Body

required

Attributes of “Sessions Status” to be updated.

application/json
schema sessions_status
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /sessions/{idSession}/status

Token 10 endpoints

DELETE /tokens/{token}
operationId: Token_deleteByToken

Responses

200

Success

400

Server rejection

DELETE /tokens/{token}
GET /tokens/{token}
operationId: Token_getByToken

Parameters

Name In Required Type Description
fields query optional string

all or a comma-separated list of: dateCreated, dateExpires, idMember, identifier or permissions

webhooks query optional string

true or false

Responses

200

Success

400

Server rejection

GET /tokens/{token}
GET /tokens/{token}/member
operationId: Token_getMemberByToken

Parameters

Name In Required Type Description
fields query optional string

all or a comma-separated list of: avatarHash, avatarSource, bio, bioData, confirmed, email, fullName, gravatarHash, idBoards, idBoardsPinned, idOrganizations, idPremOrgsAdmin, initials, loginTypes, memberType, oneTimeMessagesDismissed, prefs, premiumFeatures, products, status, status, trophies, uploadedAvatarHash, url or username

Responses

200

Success

400

Server rejection

GET /tokens/{token}/member
GET /tokens/{token}/member/{field}
operationId: Token_getMemberByField

Parameters

Name In Required Type Description
field path required string

field

Responses

200

Success

400

Server rejection

GET /tokens/{token}/member/{field}
GET /tokens/{token}/webhooks
operationId: Token_getWebhooks

Responses

200

Success

400

Server rejection

GET /tokens/{token}/webhooks
POST /tokens/{token}/webhooks
operationId: Token_registerWebhook

Request Body

required

Attributes of “Tokens Webhooks” to be added.

application/json
schema tokens_webhooks
Property Type Required
idModel string optional
callbackURL string optional
description string optional

Responses

200

Success

400

Server rejection

POST /tokens/{token}/webhooks
PUT /tokens/{token}/webhooks
operationId: Token_updateWebhooksByToken

Request Body

required

Attributes of “Tokens Webhooks” to be updated.

application/json
schema tokens_webhooks
Property Type Required
idModel string optional
callbackURL string optional
description string optional

Responses

200

Success

400

Server rejection

PUT /tokens/{token}/webhooks
DELETE /tokens/{token}/webhooks/{idWebhook}
operationId: Token_removeByTokenByIdWebhook

Parameters

Name In Required Type Description
idWebhook path required string

idWebhook

Responses

200

Success

400

Server rejection

DELETE /tokens/{token}/webhooks/{idWebhook}
GET /tokens/{token}/webhooks/{idWebhook}
operationId: Token_getWebhookById

Parameters

Name In Required Type Description
idWebhook path required string

idWebhook

Responses

200

Success

400

Server rejection

GET /tokens/{token}/webhooks/{idWebhook}
GET /tokens/{token}/{field}
operationId: Token_getByTokenByField

Parameters

Name In Required Type Description
token path required string

token

field path required string

field

Responses

200

Success

400

Server rejection

GET /tokens/{token}/{field}

Type 1 endpoints

GET /types/{id}
operationId: Type_getById

Parameters

Name In Required Type Description
id path required string

id

Responses

200

Success

400

Server rejection

GET /types/{id}

Webhook 9 endpoints

PUT /webhooks
operationId: Webhook_update

Request Body

Attributes of “Webhooks” to be updated.

application/json
schema webhooks
Property Type Required
active string optional
idModel string optional
callbackURL string optional
description string optional

Responses

200

Success

400

Server rejection

PUT /webhooks
DELETE /webhooks/{idWebhook}
operationId: Webhook_removeById

Parameters

Name In Required Type Description
idWebhook path required string

idWebhook

Responses

200

Success

400

Server rejection

DELETE /webhooks/{idWebhook}
GET /webhooks/{idWebhook}
operationId: Webhook_getById

Parameters

Name In Required Type Description
idWebhook path required string

idWebhook

Responses

200

Success

400

Server rejection

GET /webhooks/{idWebhook}
PUT /webhooks/{idWebhook}
operationId: Webhook_updateByIdWebhook

Parameters

Name In Required Type Description
idWebhook path required string

idWebhook

Request Body

Attributes of “Webhooks” to be updated.

application/json
schema webhooks
Property Type Required
active string optional
idModel string optional
callbackURL string optional
description string optional

Responses

200

Success

400

Server rejection

PUT /webhooks/{idWebhook}
PUT /webhooks/{idWebhook}/active
operationId: Webhook_updateActiveById

Parameters

Name In Required Type Description
idWebhook path required string

idWebhook

Request Body

required

Attributes of “Webhooks Active” to be updated.

application/json
schema webhooks_active
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /webhooks/{idWebhook}/active
PUT /webhooks/{idWebhook}/callbackURL
operationId: Webhook_updateCallbackUrlById

Parameters

Name In Required Type Description
idWebhook path required string

idWebhook

Request Body

required

Attributes of “Webhooks Callback Url” to be updated.

application/json
schema webhooks_callbackURL
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /webhooks/{idWebhook}/callbackURL
PUT /webhooks/{idWebhook}/description
operationId: Webhook_updateDescriptionByIdWebhook

Parameters

Name In Required Type Description
idWebhook path required string

idWebhook

Request Body

required

Attributes of “Webhooks Description” to be updated.

application/json
schema webhooks_description
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /webhooks/{idWebhook}/description
PUT /webhooks/{idWebhook}/idModel
operationId: Webhook_updateModelById

Parameters

Name In Required Type Description
idWebhook path required string

idWebhook

Request Body

required

Attributes of “Webhooks Id Model” to be updated.

application/json
schema webhooks_idModel
Property Type Required
value string optional

Responses

200

Success

400

Server rejection

PUT /webhooks/{idWebhook}/idModel
GET /webhooks/{idWebhook}/{field}
operationId: Webhook_getByIdField

Parameters

Name In Required Type Description
idWebhook path required string

idWebhook

field path required string

field

Responses

200

Success

400

Server rejection

GET /webhooks/{idWebhook}/{field}